Bug 1968804 - F35FailsToInstall: python3-fontdump
Summary: F35FailsToInstall: python3-fontdump
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontdump
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1948968
Blocks: F35FailsToInstall PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-06-07 23:09 UTC by Miro Hrončok
Modified: 2021-06-21 09:07 UTC (History)
2 users (show)

Fixed In Version: fontdump-1.3.0-24.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-21 09:07:31 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-06-07 23:09:20 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (fontdump) Fails To Install in Fedora 35:

can't install python3-fontdump:
  - nothing provides python3.9dist(setuptools) needed by python3-fontdump-1.3.0-23.fc34.noarch
  - nothing provides python3.9dist(requests) needed by python3-fontdump-1.3.0-23.fc34.noarch
  - nothing provides python3.9dist(docopt) needed by python3-fontdump-1.3.0-23.fc34.noarch
  - nothing provides python(abi) = 3.9 needed by python3-fontdump-1.3.0-23.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-06-07 23:25:30 UTC
This bugzilla is likely a fallout from the Python 3.10 rebuild.

If your package (or some of the dependencies it has) failed to rebuild during the Python 3.10 rebuild, they now fail to install. To fix this, packages need to be rebuilt in Rawhide.

We will slowly triage the bugzillas, but we'd appreciate your help.

If you know this is blocked by an existing reported build failure or another package not yet rebuilt with Python 3.10, please mark it as such by using the "Depends On"/"Blocks" bugzilla fields. That will help us determine what failures to prioritize.

Thank you and sorry for the inconvenience. Let me know if you need any help.

Comment 2 Miro Hrončok 2021-06-15 00:29:50 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Parag Nemade 2021-06-21 03:04:50 UTC
Miro, 
Maybe its better if python3-cssutils (https://bugzilla.redhat.com/show_bug.cgi?id=1948968) get first preference to get fixed instead of adding needinfo for all such packages which are blocked by it.

Bugzilla now started sending me this bug's needinfo notification whereas I have no role here yet to fix it.

Comment 4 Miro Hrončok 2021-06-21 06:59:50 UTC
First of all, yes, sorry about that. See my public apology at https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/25DHPEP54B63XYJHN4DJFPQFCJ3HGZMJ/

Your role however is to:

 1) acknowledge this problem by setting this bugzilla to ASSIGNED (because many packages fail to install and their maintainers are *not* aware, we will eventually policy-orphan-retire them)
 2) escalate bz1948968 or help fix it (I'll a have a look)

Comment 5 Parag Nemade 2021-06-21 07:29:11 UTC
Thank you Miro for your quick reply.

Let me acknowledge this problem by setting this bugzilla to ASSIGNED state.

I saw failed build.log for python-cssutils. Not sure if quick solution can be to disable %check and start looking into how to fix failing tests.

Comment 6 Miro Hrončok 2021-06-21 07:41:33 UTC
(In reply to Parag Nemade from comment #5)
> I saw failed build.log for python-cssutils. Not sure if quick solution can
> be to disable %check and start looking into how to fix failing tests.

I've already had a look, see https://bugzilla.redhat.com/show_bug.cgi?id=1948968#c5 -- we can continue the conversation there.


Note You need to log in before you can comment on or make changes to this bug.